<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Request a Quote Hyva Compatibility
 */

namespace Amasty\RequestQuoteHyva\ViewModel;

use Amasty\RequestQuote\Model\Quote\Session;
use Magento\Framework\View\Element\Block\ArgumentInterface;
use Magento\Quote\Model\Quote as MagentoQuote;

class Quote implements ArgumentInterface
{
    /**
     * @var Session
     */
    private Session $quoteSession;

    public function __construct(
        Session $quoteSession
    ) {
        $this->quoteSession = $quoteSession;
    }

    public function getQuote(): MagentoQuote
    {
        return $this->quoteSession->getQuote();
    }
}
